﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace App13
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }
    public class CellTemplateSelector : DataTemplateSelector
    {

        private ResourceDictionary dictionary;



        private Random rndm = new Random();



        protected override DataTemplate SelectTemplateCore(object item, DependencyObject container)
        {

            if (dictionary == null)
            {

                dictionary = new ResourceDictionary();

                dictionary.Source = new Uri("ms-appx:/Templates.xaml", UriKind.RelativeOrAbsolute);

            }
            var dateTime = (DateTime)item;


            if (dateTime.DayOfWeek == DayOfWeek.Friday)
            {

                return dictionary["Friday"] as DataTemplate;

            }

            if (dateTime.Date == DateTime.Today)
            {

                return dictionary["Template"] as DataTemplate;

            }

            return dictionary["default"] as DataTemplate;

        }

    }
}
