﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace App13
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.NavigationCacheMode = NavigationCacheMode.Required;
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // TODO: Prepare page for display here.

            // TODO: If your application contains multiple pages, ensure that you are
            // handling the hardware Back button by registering for the
            // Windows.Phone.UI.Input.HardwareButtons.BackPressed event.
            // If you are using the NavigationHelper provided by some templates,
            // this event is handled for you.
        }
    }
    public class CellTemplateSelector : DataTemplateSelector
    {

        private ResourceDictionary dictionary;



        private Random rndm = new Random();



        protected override DataTemplate SelectTemplateCore(object item, DependencyObject container)
        {

            if (dictionary == null)
            {

                dictionary = new ResourceDictionary();

                dictionary.Source = new Uri("ms-appx:/Templates.xaml", UriKind.RelativeOrAbsolute);

            }
            var dateTime = (DateTime)item;


            if (dateTime.DayOfWeek == DayOfWeek.Monday)
            {

                return dictionary["Monday"] as DataTemplate;

            }

            if (dateTime.Date == DateTime.Today)
            {

                return dictionary["Template"] as DataTemplate;

            }

            return dictionary["default"] as DataTemplate;

        }

    }
}
